Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 678426 - media-gfx/darktable-2.6.0 stable request
Summary: media-gfx/darktable-2.6.0 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Graphics Project
URL:
Whiteboard:
Keywords: STABLEREQ
: 678538 679854 (view as bug list)
Depends on: 679864
Blocks: 674968 CVE-2019-9143, CVE-2019-9144
  Show dependency tree
 
Reported: 2019-02-20 15:26 UTC by Frank Krömmelbein
Modified: 2019-03-20 14:16 UTC (History)
5 users (show)

See Also:
Package list:
media-gfx/darktable-2.6.0
Runtime testing required: ---
stable-bot: sanity-check+


Attachments
logs.tar.bz2 (darktable.tar.bz2,59.73 KB, application/x-bzip-compressed-tar)
2019-02-20 15:27 UTC, Frank Krömmelbein
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Krömmelbein 2019-02-20 15:26:52 UTC
After the stabilization of media-gfx/exiv2-0.27.0-r2 darktable was forced to rebuild. But this fails see attached logs. Current unstable 2.4.4 fails with the same exiv2 errors. 

Version 2.6.0 works for me.
[ebuild     UD ] media-gfx/darktable-2.4.3::gentoo [2.6.0::gentoo] USE="cups gphoto2 kwallet nls opencl openexr openmp webp -colord -doc -flickr -geolocation -gnome-keyring -graphicsmagick -jpeg2k -pax_kernel" CPU_FLAGS_X86="sse3" L10N="de -ca -cs% -da% -es% -fr -he% -hu -it% -ja -nl -pl% -ru -sk% -sl -sv% -uk% (-fi%) (-nb%) (-pt-BR%)" 0 KiB
Comment 1 Frank Krömmelbein 2019-02-20 15:27:42 UTC
Created attachment 565946 [details]
logs.tar.bz2
Comment 2 Alexander Bezrukov 2019-02-21 12:02:37 UTC
I confirm the issue and the solution.
Comment 3 Markus Meier gentoo-dev 2019-02-21 20:17:27 UTC
It's about time, please stabilize the latest and greatest version of media-gfx/darktable. Thanks in advance!
Comment 4 Andreas Sturmlechner gentoo-dev 2019-02-21 23:45:21 UTC
*** Bug 678538 has been marked as a duplicate of this bug. ***
Comment 5 mod 2019-02-22 01:35:52 UTC
Confirmed bug and solution here as well.  2.4.4 broke on my last update, but 2.6.0 builds fine.
Comment 6 Andreas Sturmlechner gentoo-dev 2019-02-23 19:48:34 UTC
(In reply to Markus Meier from comment #3)
> It's about time, please stabilize the latest and greatest version of
> media-gfx/darktable. Thanks in advance!
It doesn't work without a package list.
Comment 7 Andreas Sturmlechner gentoo-dev 2019-02-23 20:17:54 UTC
Markus, please look into bug 657586 (comment 2) which appears to be unaddressed.
Comment 8 Markus Meier gentoo-dev 2019-02-26 18:56:59 UTC
(In reply to Andreas Sturmlechner from comment #7)
> Markus, please look into bug 657586 (comment 2) which appears to be
> unaddressed.

Andreas, I've removed the SSE3 check in https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=947e26249e05deee98e983a294bb0fe5ec6dfcf7
I think it's no longer required, though it's still checked via CMake, but is not a fatal issue when it's unavailable.
Comment 9 Larry the Git Cow gentoo-dev 2019-03-02 11:41:57 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/kde.git/commit/?id=efdeeca8cf006ea74626361cbd05ac2497ba4d8c

commit efdeeca8cf006ea74626361cbd05ac2497ba4d8c
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2019-03-02 10:29:39 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2019-03-02 10:29:39 +0000

    kde-plasma/discover: Add missing DEPEND
    
    Bug: https://bugs.gentoo.org/678426
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 kde-plasma/discover/discover-5.15.49.9999.ebuild | 1 +
 kde-plasma/discover/discover-9999.ebuild         | 1 +
 2 files changed, 2 insertions(+)
Comment 10 Larry the Git Cow gentoo-dev 2019-03-02 13:58:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=17105a3adb4fcbcc2c010aafd8a9b811134581eb

commit 17105a3adb4fcbcc2c010aafd8a9b811134581eb
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2019-03-02 10:29:39 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2019-03-02 13:57:09 +0000

    kde-plasma/discover: Add missing DEPEND
    
    Closes: https://bugs.gentoo.org/678426
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 kde-plasma/discover/discover-5.15.2-r1.ebuild | 61 +++++++++++++++++++++++++++
 1 file changed, 61 insertions(+)
Comment 11 Andreas Sturmlechner gentoo-dev 2019-03-02 13:59:46 UTC
Wrong bug... sorry.
Comment 12 Gottfried Munda 2019-03-08 12:57:44 UTC
Confirming that current stable exiv2-0.27.0-r2 breaks compilation of current stable darktable-2.4.3.

Also confirming that (unstable) darktable-2.6 works.
Comment 13 Jeroen Roovers gentoo-dev 2019-03-09 15:34:29 UTC
*** Bug 679854 has been marked as a duplicate of this bug. ***
Comment 14 Thomas Deutschmann gentoo-dev Security 2019-03-09 18:41:57 UTC
x86 stopped stabilization due to bug 679864.
Comment 15 Larry the Git Cow gentoo-dev 2019-03-11 06:30:56 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ec6e152589c4484df1a67188f5823612abe728a

commit 9ec6e152589c4484df1a67188f5823612abe728a
Author:     Michael Palimaka <kensington@gentoo.org>
AuthorDate: 2019-03-11 06:30:31 +0000
Commit:     Michael Palimaka <kensington@gentoo.org>
CommitDate: 2019-03-11 06:30:43 +0000

    media-gfx/darktable: stabilise 2.6.1 for amd64/x86
    
    Bug: https://bugs.gentoo.org/678426
    Package-Manager: Portage-2.3.51, Repoman-2.3.12
    Signed-off-by: Michael Palimaka <kensington@gentoo.org>

 media-gfx/darktable/darktable-2.6.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 16 Michael Palimaka (kensington) gentoo-dev 2019-03-11 06:35:28 UTC
(In reply to Thomas Deutschmann from comment #14)
> x86 stopped stabilization due to bug 679864.

I wasn't able to reproduce this to investigate further. Given that this package is already broken in stable (due to exiv2 incompatibility), I have gone ahead and stabilised the new version so there is total less breakage.
Comment 17 Larry the Git Cow gentoo-dev 2019-03-20 14:16:12 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cdbae2a7a7844fffdd21f7fb1517903b961108bf

commit cdbae2a7a7844fffdd21f7fb1517903b961108bf
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2019-03-20 14:14:21 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2019-03-20 14:15:58 +0000

    media-gfx/darktable: Drop all <2.6.1
    
    Broken by exiv2-0.27.
    
    Bug: https://bugs.gentoo.org/678426
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-gfx/darktable/Manifest               |   6 --
 media-gfx/darktable/darktable-2.2.5.ebuild | 139 ---------------------------
 media-gfx/darktable/darktable-2.4.3.ebuild | 145 -----------------------------
 media-gfx/darktable/darktable-2.4.4.ebuild | 145 -----------------------------
 media-gfx/darktable/darktable-2.6.0.ebuild | 138 ---------------------------
 5 files changed, 573 deletions(-)